package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.vo.presale.*;

import javax.servlet.http.HttpServletRequest;

public interface IForwardOrderService {
    PageResult<ForwardOrderApplyResult> queryForward(ForwardOrderApplyParam param, HttpServletRequest request);

    AjaxResult<ForwardOrderApplyResult> forwardView(String applyid, HttpServletRequest request);

    PageResult<ForwardOrderQueryResult> queryOrder(ForwardOrderQueryParam param, HttpServletRequest request);

    PageResult<ForwardCancelApplyResult> queryCancelApply(ForwardCancelApplyParam param, HttpServletRequest request);

    AjaxResult<ForwardCancelApplyResult> cancelApplyView(Long cancelid, HttpServletRequest request);

    AjaxResult<ForwardAddMarketAndGoods> forwardAddInit(Long marketid,Long goodid, HttpServletRequest request);

    AjaxResult forwardAdd(ForwardAddParam param, HttpServletRequest request);

    AjaxResult<ForwardCancelApplyInit> cancelApplyAddInit(Long accountid, HttpServletRequest request);

    AjaxResult cancelApplyAdd(ForwardCancelAddParam param, HttpServletRequest request);
}
